Package ru.bitel.bgbilling.modules.yoomoney.server.bean

# Class YoomoneyRequest

java.lang.Object
ru.bitel.bgbilling.modules.yoomoney.server.bean.YoomoneyRequest

public class YoomoneyRequest extends Object
Реквест в экзекутер от платежного шлюза. И для экшена "проверка заказа" и для "уведомление об оплате". Разбираются вначале все значения сюда, потом обрабатываются.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `YoomoneyRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAction()`
  `String`
  `getCustomerNumber()`
  `long`
  `getInvoiceId()`
  `String`
  `getMd5()`
  `Date`
  `getOrderCreatedDatetime()`
  `BigDecimal`
  `getOrderSumAmount()`
  `Date`
  `getPaymentDateTime()`
  `String`
  `getPaymentPayerCode()`
  `String`
  `getPaymentType()`
  `String`
  `getPgpSignature()`
  `String`
  `getRawRequest()`
  `Date`
  `getRequestDatetime()`
  `long`
  `getShopId()`
  `BigDecimal`
  `getShopSumAmount()`
  `boolean`
  `isOrderIsPaid()`
  `void`
  `setAction(String action)`
  `void`
  `setCustomerNumber(String customerNumber)`
  `void`
  `setInvoiceId(long invoiceId)`
  `void`
  `setMd5(String md5)`
  `void`
  `setOrderCreatedDatetime(Date orderCreatedDatetime)`
  `void`
  `setOrderIsPaid(boolean orderIsPaid)`
  `void`
  `setOrderSumAmount(BigDecimal orderSumAmount)`
  `void`
  `setPaymentDateTime(Date paymentDateTime)`
  `void`
  `setPaymentPayerCode(String paymentPayerCode)`
  `void`
  `setPaymentType(String paymentType)`
  `void`
  `setPgpSignature(String pgpSignature)`
  `void`
  `setRawRequest(String rawRequest)`
  `void`
  `setRequestDatetime(Date requestDatetime)`
  `void`
  `setShopId(long shopId)`
  `void`
  `setShopSumAmount(BigDecimal shopSumAmount)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### YoomoneyRequest

    public YoomoneyRequest()

- ## Method Details

  - ### getRequestDatetime

    public Date getRequestDatetime()

  - ### setRequestDatetime

    public void setRequestDatetime(Date requestDatetime)

  - ### getAction

    public String getAction()

  - ### setAction

    public void setAction(String action)

  - ### getPgpSignature

    public String getPgpSignature()

  - ### setPgpSignature

    public void setPgpSignature(String pgpSignature)

  - ### getMd5

    public String getMd5()

  - ### setMd5

    public void setMd5(String md5)

  - ### getShopId

    public long getShopId()

  - ### setShopId

    public void setShopId(long shopId)

  - ### getInvoiceId

    public long getInvoiceId()

  - ### setInvoiceId

    public void setInvoiceId(long invoiceId)

  - ### getCustomerNumber

    public String getCustomerNumber()

  - ### setCustomerNumber

    public void setCustomerNumber(String customerNumber)

  - ### getOrderCreatedDatetime

    public Date getOrderCreatedDatetime()

  - ### setOrderCreatedDatetime

    public void setOrderCreatedDatetime(Date orderCreatedDatetime)

  - ### getOrderSumAmount

    public BigDecimal getOrderSumAmount()

  - ### setOrderSumAmount

    public void setOrderSumAmount(BigDecimal orderSumAmount)

  - ### getShopSumAmount

    public BigDecimal getShopSumAmount()

  - ### setShopSumAmount

    public void setShopSumAmount(BigDecimal shopSumAmount)

  - ### getPaymentType

    public String getPaymentType()

  - ### setPaymentType

    public void setPaymentType(String paymentType)

  - ### getPaymentPayerCode

    public String getPaymentPayerCode()

  - ### setPaymentPayerCode

    public void setPaymentPayerCode(String paymentPayerCode)

  - ### isOrderIsPaid

    public boolean isOrderIsPaid()

  - ### setOrderIsPaid

    public void setOrderIsPaid(boolean orderIsPaid)

  - ### getPaymentDateTime

    public Date getPaymentDateTime()

  - ### setPaymentDateTime

    public void setPaymentDateTime(Date paymentDateTime)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRawRequest

    public String getRawRequest()

  - ### setRawRequest

    public void setRawRequest(String rawRequest)